\documentclass{standalone}

\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\begin{axis}[
x=1cm,y=1cm,
axis lines=middle,
ymajorgrids=true,
xmajorgrids=true,
xmin=-3.5,
xmax=2.5,
ymin=-4.5,
ymax=5.5,
xtick={-3,-2,...,2},
ytick={-4,-3,...,5},]
\clip(-3.5,-4.5) rectangle (2.5,5.5);
\draw [line width=1.5pt,color=B1,domain=-3.5:2.5] plot(\x,{(--4-0*\x)/1});
\draw[line width=1.5pt,smooth,samples=100,domain=-3.5:2.5] plot(\x,{(\x)+5});
\draw[line width=1.5pt,color=H1,smooth,samples=100,domain=-3.5:2.5] plot(\x,{1-4*(\x)});
\draw[line width=1.5pt,color=J1,smooth,samples=100,domain=-3.5:2.5] plot(\x,{3*(\x)});
\draw[line width=1.5pt,color=A1,smooth,samples=100,domain=-3.5:2.5] plot(\x,{0-4-2*(\x)});
\draw (2.1,4.3) node[anchor=center,,color=B1] {\Large $C_{u}$};
\draw (0.5,5) node[anchor=center] {\Large $C_{f}$};
\draw (-3,3) node[anchor=center,color=A1] {\Large $C_{h}$};
\draw (-1.325,5) node[anchor=center,color=H1] {\Large $C_{k}$};
\draw (-1.75,-4) node[anchor=center,color=J1] {\Large $C_{g}$};
\end{axis}
\end{tikzpicture}
\end{document}